Package org.apache.sling.distribution.journal.impl.subscriber

# Class CommandPoller

java.lang.Object
org.apache.sling.distribution.journal.impl.subscriber.CommandPoller

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class CommandPoller extends Object implements Closeable

## Constructor Summary

Constructors
Constructor
Description
`CommandPoller(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, String subSlingId, String subAgentName, Runnable callback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`isCleared(long offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandPoller

public CommandPoller(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, String subSlingId, String subAgentName, Runnable callback)

## Method Details

### isCleared

public boolean isCleared(long offset)

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`